package cn.superdesk.uniorder.dubbo.provider.sys;

import cn.superdesk.uniorder.dao.entity.sys.SysOderUser;
import cn.superdesk.uniorder.dubbo.facade.sys.DubboSysOderUserService;
import cn.superdesk.uniorder.service.sys.SysOderUserService;
import com.alibaba.dubbo.config.annotation.Service;
import org.springframework.beans.factory.annotation.Autowired;

import java.util.List;
import java.util.Map;

@Service(version = "1.0.0", retries = -1, timeout = 10000)
public class DubboSysOderUserServiceImpl implements DubboSysOderUserService {

	@Autowired
	private SysOderUserService service;

	@Override
	public void addObj(SysOderUser t) {
		service.insertSelective(t);
	}

	@Override
	public void updateObj(SysOderUser t) {
		service.updateByPrimaryKeySelective(t);
	}

	@Override
	public List<SysOderUser> findByUserId(Long orgId) {
		return service.findByUserId(orgId);
	}

	@Override
	public List<SysOderUser> findByName(Long orgId, Long entId, String name) {
		return service.findByName(orgId, entId, name);
	}

	@Override
	public List<SysOderUser> findAll(Map<String, Object> params) {

		return service.findAll(params);
	}

}
